package com.zm.order.tool.server.enums;

/**
 * @Description 比较记录状态枚举
 * @Author: ph
 * @Date: 2019/11/26 11:53
 */
public enum CompareRecordStatusEnum {

    /**
     * 初始化
     */
    INIT(0, "初始化"),

    EXECUTING(1, "执行中"),

    END(2, "结束"),

    FAIL(-1, "执行失败");

    /**
     * 状态
     */
    private final Integer status;

    /**
     * 描述
     */
    private final String desc;

    CompareRecordStatusEnum(Integer status, String desc) {
        this.status = status;
        this.desc = desc;
    }

    public Integer getStatus() {
        return status;
    }

    public String getDesc() {
        return desc;
    }
}
